# pyhoff.devices.WAGO_750_600 — pyhoff documentation

Skip to main content
`Ctrl`+`K`

# pyhoff.devices.WAGO_750_600

class pyhoff.devices.WAGO_750_600(bus_coupler, output_bit_addresses, input_bit_addresses, output_word_addresses, input_word_addresses, mixed_mapping)

  Bases: `BusTerminal`

  End terminal, no I/O function

  Instantiate a new BusTerminal base class.

  Parameters:

    - bus_coupler (`BusCoupler`) – The bus coupler to which this terminal is connected.

    - output_bit_addresses (`list`[`int`]) – List of addresses of the output bits.

    - input_bit_addresses (`list`[`int`]) – List of addresses of input bits.

    - output_word_addresses (`list`[`int`]) – List of addresses of output words.

    - input_word_addresses (`list`[`int`]) – List of addresses of input words.